use("KetCindyPlugin");
Dircdy=loaddirectory;
setdirectory(gethome());
import("ketcindy.ini");

Ketinit();

Ketinit3d(0);

ptL=[[2,2,-2],[2,-2,-2],[-2,-2,-2],[-2,2,-2],
     [2,2,2],[2,-2,2],[-2,-2,2],[-2,2,2]];
fL=[[1,2,6,5],[1,5,8,4],[1,4,3,2],
    [2,3,7,6],[3,4,8,7],[5,6,7,8]];

Putaxes3d(5);// no ketjs on
Xyzax3data("","x=[-4.5,4.5]"," =[-0.5,0.5]","z=[-4.5,4.5]");

Pointdata3d("A",1/sqrt(3)*[1,1,1],["Size=3","Color=red"]);
Perpplane("B-C","O",[1,1,1],["Size=3","Color=red"]);
Setglist();

mf(s):=(
  regional(Ps3d,Qs3d,matT,stL,polyheds);
  Ps3d=Rotatepoint3d(B3d,A3d,s);
  Qs3d=Rotatepoint3d(C3d,A3d,s);
  matT=[A3d,Ps3d,Qs3d];
  stL=apply(ptL,matT*#);
  polyheds=[stL,fL];
  Vertexedgeface("",polyheds,["Label=0"]);
  Nohiddenbyfaces("",["ax3d","phe3d"],["phf3d"],
    ["nodisp"],["nodisp"]);
  frn3d;
);

ctr=1;
sL=[];
ndiv=48;
forall(0..ndiv,nn,
  s=2*pi/ndiv*nn;
  tmp=mf(s);
  dt=apply(tmp,parse(#));
  Defvar("dt"+ctr,dt);
  sL=append(sL,s);
  ctr=ctr+1;
);
// no ketjs off
